Bug 1851420 (CVE-2020-11996) - CVE-2020-11996 tomcat: specially crafted sequence of HTTP/2 requests can lead to DoS
Summary: CVE-2020-11996 tomcat: specially crafted sequence of HTTP/2 requests can lead...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11996
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1866871
Blocks: 1851421
TreeView+ depends on / blocked
 
Reported: 2020-06-26 13:31 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 19:45 UTC (History)
85 users (show)

Fixed In Version: tomcat 10.0.0-M6, tomcat 9.0.36, tomcat 8.5.56
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-23 17:33:53 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5170 0 None None None 2020-11-23 12:11:34 UTC
Red Hat Product Errata RHSA-2020:5173 0 None None None 2020-11-23 12:05:50 UTC
Red Hat Product Errata RHSA-2020:5388 0 None None None 2021-01-07 11:49:32 UTC
Red Hat Product Errata RHSA-2021:0292 0 None None None 2021-02-02 10:25:58 UTC

Description Guilherme de Almeida Suckevicz 2020-06-26 13:31:24 UTC
A specially crafted sequence of HTTP/2 requests could trigger high CPU usage for several seconds. If a sufficient number of such requests were made on concurrent HTTP/2 connections, the server could become unresponsive.

Reference:
https://tomcat.apache.org/security-8.html

Comment 8 Jonathan Christison 2020-06-29 15:20:20 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat Jboss Fuse 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 15 Marco Benatto 2020-08-06 16:29:28 UTC
Statement:

Red Hat OpenStack Platform's OpenDaylight will not be updated for this flaw because it was deprecated as of RHOSP14 and is only receiving security fixes for Important and Critical flaws.
Apache Tomcat versions as shipped with Red Hat Enterprise Linux 6 and 7 are not affected by this flaw as it doesn't support HTTP/2 protocol.

Comment 20 errata-xmlrpc 2020-11-23 12:05:42 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2020:5173 https://access.redhat.com/errata/RHSA-2020:5173

Comment 21 errata-xmlrpc 2020-11-23 12:11:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 5.4 on RHEL 6
  Red Hat JBoss Web Server 5.4 on RHEL 7
  Red Hat JBoss Web Server 5.4 on RHEL 8

Via RHSA-2020:5170 https://access.redhat.com/errata/RHSA-2020:5170

Comment 22 yaoli 2020-11-23 12:45:38 UTC
Hello Team

May I know when time we will use the patch in OCP images?

https://catalog.redhat.com/software/containers/jboss-webserver-5/webserver53-openjdk8-tomcat9-openshift-rhel7

Thanks

Comment 23 Product Security DevOps Team 2020-11-23 17:33:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11996

Comment 24 errata-xmlrpc 2021-01-07 11:49:22 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:5388 https://access.redhat.com/errata/RHSA-2020:5388

Comment 26 errata-xmlrpc 2021-02-02 10:25:48 UTC
This issue has been addressed in the following products:

  Red Hat support for Spring Boot 2.3.6

Via RHSA-2021:0292 https://access.redhat.com/errata/RHSA-2021:0292


Note You need to log in before you can comment on or make changes to this bug.